Index: LMDZ5/branches/testing/libf/phylmd/phys_output_mod.F90
===================================================================
--- LMDZ5/branches/testing/libf/phylmd/phys_output_mod.F90	(revision 1663)
+++ LMDZ5/branches/testing/libf/phylmd/phys_output_mod.F90	(revision 1664)
@@ -17,25 +17,25 @@
 
 
-   integer, parameter                           :: nfiles = 6
-   logical, dimension(nfiles), save             :: clef_files
-   logical, dimension(nfiles), save             :: clef_stations
-   integer, dimension(nfiles), save             :: lev_files
-   integer, dimension(nfiles), save             :: nid_files
-   integer, dimension(nfiles), save  :: nnid_files
+  integer, parameter                           :: nfiles = 6
+  logical, dimension(nfiles), save             :: clef_files
+  logical, dimension(nfiles), save             :: clef_stations
+  integer, dimension(nfiles), save             :: lev_files
+  integer, dimension(nfiles), save             :: nid_files
+  integer, dimension(nfiles), save  :: nnid_files
 !!$OMP THREADPRIVATE(clef_files, clef_stations, lev_files,nid_files,nnid_files)
-   integer, dimension(nfiles), private, save :: nnhorim
- 
-   integer, dimension(nfiles), private, save :: nhorim, nvertm
-   integer, dimension(nfiles), private, save :: nvertap, nvertbp, nvertAlt
-!   integer, dimension(nfiles), private, save :: nvertp0
-   real, dimension(nfiles), private, save                :: zoutm
-   real,                    private, save                :: zdtime
-   CHARACTER(len=20), dimension(nfiles), private, save   :: type_ecri
-!$OMP THREADPRIVATE(nhorim, nvertm, zoutm,zdtime,type_ecri)
-
-!   integer, save                     :: nid_hf3d 
+  integer, dimension(nfiles), private, save :: nnhorim
+
+  integer, dimension(nfiles), private, save :: nhorim, nvertm
+  integer, dimension(nfiles), private, save :: nvertap, nvertbp, nvertAlt
+  !   integer, dimension(nfiles), private, save :: nvertp0
+  real, dimension(nfiles), private, save                :: zoutm
+  real,                    private, save                :: zdtime
+  CHARACTER(len=20), dimension(nfiles), private, save   :: type_ecri
+  !$OMP THREADPRIVATE(nhorim, nvertm, zoutm,zdtime,type_ecri)
+
+  !   integer, save                     :: nid_hf3d 
 
 !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
-!! Definition pour chaque variable du niveau d ecriture dans chaque fichier
+  !! Definition pour chaque variable du niveau d ecriture dans chaque fichier
 !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!/ histmth, histday, histhf, histins /),'!!!!!!!!!!!!
 !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
@@ -45,6 +45,6 @@
 
   TYPE ctrl_out
-   integer,dimension(6) :: flag
-   character(len=20)     :: name
+     integer,dimension(6) :: flag
+     character(len=20)     :: name
   END TYPE ctrl_out
 
@@ -61,5 +61,5 @@
   type(ctrl_out),save :: o_contfracOR   = ctrl_out((/ 10, 1,  1, 10, 10, 10 /),'contfracOR')
   type(ctrl_out),save :: o_aireTER      = ctrl_out((/ 10, 10, 1, 10, 10, 10 /),'aireTER')
-  
+
 !!! 2D
   type(ctrl_out),save :: o_flat         = ctrl_out((/ 5, 1, 10, 10, 5, 10 /),'flat')
@@ -70,7 +70,7 @@
   type(ctrl_out),save :: o_t2m_max      = ctrl_out((/ 1, 1, 10, 10, 10, 10 /),'t2m_max')
   type(ctrl_out),save,dimension(4) :: o_t2m_srf      = (/ ctrl_out((/ 10, 6, 10, 10, 10, 10 /),'t2m_ter'), &
-                                                 ctrl_out((/ 10, 6, 10, 10, 10, 10 /),'t2m_lic'), &
-                                                 ctrl_out((/ 10, 6, 10, 10, 10, 10 /),'t2m_oce'), &
-                                                 ctrl_out((/ 10, 6, 10, 10, 10, 10 /),'t2m_sic') /)
+       ctrl_out((/ 10, 6, 10, 10, 10, 10 /),'t2m_lic'), &
+       ctrl_out((/ 10, 6, 10, 10, 10, 10 /),'t2m_oce'), &
+       ctrl_out((/ 10, 6, 10, 10, 10, 10 /),'t2m_sic') /)
 
   type(ctrl_out),save :: o_wind10m      = ctrl_out((/ 1, 1, 1, 10, 10, 10 /),'wind10m')
@@ -84,12 +84,12 @@
 
   type(ctrl_out),save,dimension(4) :: o_u10m_srf     = (/ ctrl_out((/ 10, 6, 10, 10, 10, 10 /),'u10m_ter'), &
-                                              ctrl_out((/ 10, 6, 10, 10, 10, 10 /),'u10m_lic'), &
-                                              ctrl_out((/ 10, 6, 10, 10, 10, 10 /),'u10m_oce'), &
-                                              ctrl_out((/ 10, 6, 10, 10, 10, 10 /),'u10m_sic') /)
+       ctrl_out((/ 10, 6, 10, 10, 10, 10 /),'u10m_lic'), &
+       ctrl_out((/ 10, 6, 10, 10, 10, 10 /),'u10m_oce'), &
+       ctrl_out((/ 10, 6, 10, 10, 10, 10 /),'u10m_sic') /)
 
   type(ctrl_out),save,dimension(4) :: o_v10m_srf     = (/ ctrl_out((/ 10, 6, 10, 10, 10, 10 /),'v10m_ter'), &
-                                              ctrl_out((/ 10, 6, 10, 10, 10, 10 /),'v10m_lic'), &
-                                              ctrl_out((/ 10, 6, 10, 10, 10, 10 /),'v10m_oce'), &
-                                              ctrl_out((/ 10, 6, 10, 10, 10, 10 /),'v10m_sic') /)
+       ctrl_out((/ 10, 6, 10, 10, 10, 10 /),'v10m_lic'), &
+       ctrl_out((/ 10, 6, 10, 10, 10, 10 /),'v10m_oce'), &
+       ctrl_out((/ 10, 6, 10, 10, 10, 10 /),'v10m_sic') /)
 
   type(ctrl_out),save :: o_qsol         = ctrl_out((/ 1, 10, 10, 10, 10, 10 /),'qsol')
@@ -103,7 +103,7 @@
   type(ctrl_out),save :: o_evap         = ctrl_out((/ 1, 1, 10, 10, 10, 10 /),'evap')
   type(ctrl_out),save,dimension(4) :: o_evap_srf     = (/ ctrl_out((/ 1, 6, 10, 10, 10, 10 /),'evap_ter'), &
-                                           ctrl_out((/ 1, 6, 10, 10, 10, 10 /),'evap_lic'), &
-                                           ctrl_out((/ 1, 6, 10, 10, 10, 10 /),'evap_oce'), &
-                                           ctrl_out((/ 1, 6, 10, 10, 10, 10 /),'evap_sic') /)
+       ctrl_out((/ 1, 6, 10, 10, 10, 10 /),'evap_lic'), &
+       ctrl_out((/ 1, 6, 10, 10, 10, 10 /),'evap_oce'), &
+       ctrl_out((/ 1, 6, 10, 10, 10, 10 /),'evap_sic') /)
   type(ctrl_out),save :: o_msnow       = ctrl_out((/ 1, 10, 10, 10, 10, 10 /),'msnow')
   type(ctrl_out),save :: o_fsnow       = ctrl_out((/ 1, 10, 10, 10, 10, 10 /),'fsnow')
@@ -124,9 +124,9 @@
   type(ctrl_out),save :: o_SWdn200clr   = ctrl_out((/ 10, 1, 10, 10, 10, 10 /),'SWdn200clr')
 
-! arajouter
-!  type(ctrl_out),save :: o_LWupTOA     = ctrl_out((/ 1, 4, 10, 10, 10, 10 /),'LWupTOA')
-!  type(ctrl_out),save :: o_LWupTOAclr  = ctrl_out((/ 1, 4, 10, 10, 10, 10 /),'LWupTOAclr')
-!  type(ctrl_out),save :: o_LWdnTOA     = ctrl_out((/ 1, 4, 10, 10, 10, 10 /),'LWdnTOA')
-!  type(ctrl_out),save :: o_LWdnTOAclr  = ctrl_out((/ 1, 4, 10, 10, 10, 10 /),'LWdnTOAclr')
+  ! arajouter
+  !  type(ctrl_out),save :: o_LWupTOA     = ctrl_out((/ 1, 4, 10, 10, 10, 10 /),'LWupTOA')
+  !  type(ctrl_out),save :: o_LWupTOAclr  = ctrl_out((/ 1, 4, 10, 10, 10, 10 /),'LWupTOAclr')
+  !  type(ctrl_out),save :: o_LWdnTOA     = ctrl_out((/ 1, 4, 10, 10, 10, 10 /),'LWdnTOA')
+  !  type(ctrl_out),save :: o_LWdnTOAclr  = ctrl_out((/ 1, 4, 10, 10, 10, 10 /),'LWdnTOAclr')
 
   type(ctrl_out),save :: o_LWup200      = ctrl_out((/ 1, 10, 10, 10, 10, 10 /),'LWup200')
@@ -157,58 +157,58 @@
   type(ctrl_out),save :: o_tauy         = ctrl_out((/ 1, 10, 10, 10, 10, 10 /),'tauy')
   type(ctrl_out),save,dimension(4) :: o_taux_srf     = (/ ctrl_out((/ 1, 6, 10, 10, 10, 10 /),'taux_ter'), &
-                                                 ctrl_out((/ 1, 6, 10, 10, 10, 10 /),'taux_lic'), &
-                                                 ctrl_out((/ 1, 6, 10, 10, 10, 10 /),'taux_oce'), &
-                                                 ctrl_out((/ 1, 6, 10, 10, 10, 10 /),'taux_sic') /)
+       ctrl_out((/ 1, 6, 10, 10, 10, 10 /),'taux_lic'), &
+       ctrl_out((/ 1, 6, 10, 10, 10, 10 /),'taux_oce'), &
+       ctrl_out((/ 1, 6, 10, 10, 10, 10 /),'taux_sic') /)
 
   type(ctrl_out),save,dimension(4) :: o_tauy_srf     = (/ ctrl_out((/ 1, 6, 10, 10, 10, 10 /),'tauy_ter'), &
-                                                 ctrl_out((/ 1, 6, 10, 10, 10, 10 /),'tauy_lic'), &
-                                                 ctrl_out((/ 1, 6, 10, 10, 10, 10 /),'tauy_oce'), &
-                                                 ctrl_out((/ 1, 6, 10, 10, 10, 10 /),'tauy_sic') /)
+       ctrl_out((/ 1, 6, 10, 10, 10, 10 /),'tauy_lic'), &
+       ctrl_out((/ 1, 6, 10, 10, 10, 10 /),'tauy_oce'), &
+       ctrl_out((/ 1, 6, 10, 10, 10, 10 /),'tauy_sic') /)
 
 
   type(ctrl_out),save,dimension(4) :: o_pourc_srf    = (/ ctrl_out((/ 1, 7, 10, 10, 10, 10 /),'pourc_ter'), &
-                                                 ctrl_out((/ 1, 7, 10, 10, 10, 10 /),'pourc_lic'), &
-                                                 ctrl_out((/ 1, 7, 10, 10, 10, 10 /),'pourc_oce'), &
-                                                 ctrl_out((/ 1, 7, 10, 10, 10, 10 /),'pourc_sic') /)     
+       ctrl_out((/ 1, 7, 10, 10, 10, 10 /),'pourc_lic'), &
+       ctrl_out((/ 1, 7, 10, 10, 10, 10 /),'pourc_oce'), &
+       ctrl_out((/ 1, 7, 10, 10, 10, 10 /),'pourc_sic') /)     
 
   type(ctrl_out),save,dimension(4) :: o_fract_srf    = (/ ctrl_out((/ 1, 6, 10, 10, 10, 10 /),'fract_ter'), &
-                                                 ctrl_out((/ 1, 6, 10, 10, 10, 10 /),'fract_lic'), &
-                                                 ctrl_out((/ 1, 6, 10, 10, 10, 10 /),'fract_oce'), &
-                                                 ctrl_out((/ 1, 6, 10, 10, 10, 10 /),'fract_sic') /)
+       ctrl_out((/ 1, 6, 10, 10, 10, 10 /),'fract_lic'), &
+       ctrl_out((/ 1, 6, 10, 10, 10, 10 /),'fract_oce'), &
+       ctrl_out((/ 1, 6, 10, 10, 10, 10 /),'fract_sic') /)
 
   type(ctrl_out),save,dimension(4) :: o_tsol_srf     = (/ ctrl_out((/ 1, 6, 10, 10, 10, 10 /),'tsol_ter'), &
-                                                 ctrl_out((/ 1, 6, 10, 10, 10, 10 /),'tsol_lic'), &
-                                                 ctrl_out((/ 1, 6, 10, 10, 10, 10 /),'tsol_oce'), &
-                                                 ctrl_out((/ 1, 6, 10, 10, 10, 10 /),'tsol_sic') /)
+       ctrl_out((/ 1, 6, 10, 10, 10, 10 /),'tsol_lic'), &
+       ctrl_out((/ 1, 6, 10, 10, 10, 10 /),'tsol_oce'), &
+       ctrl_out((/ 1, 6, 10, 10, 10, 10 /),'tsol_sic') /)
 
   type(ctrl_out),save,dimension(4) :: o_sens_srf     = (/ ctrl_out((/ 1, 6, 10, 7, 10, 10 /),'sens_ter'), &
-                                                 ctrl_out((/ 1, 6, 10, 7, 10, 10 /),'sens_lic'), &
-                                                 ctrl_out((/ 1, 6, 10, 7, 10, 10 /),'sens_oce'), &
-                                                 ctrl_out((/ 1, 6, 10, 7, 10, 10 /),'sens_sic') /)
+       ctrl_out((/ 1, 6, 10, 7, 10, 10 /),'sens_lic'), &
+       ctrl_out((/ 1, 6, 10, 7, 10, 10 /),'sens_oce'), &
+       ctrl_out((/ 1, 6, 10, 7, 10, 10 /),'sens_sic') /)
 
   type(ctrl_out),save,dimension(4) :: o_lat_srf      = (/ ctrl_out((/ 1, 6, 10, 7, 10, 10 /),'lat_ter'), &
-                                                 ctrl_out((/ 1, 6, 10, 7, 10, 10 /),'lat_lic'), &
-                                                 ctrl_out((/ 1, 6, 10, 7, 10, 10 /),'lat_oce'), &
-                                                 ctrl_out((/ 1, 6, 10, 7, 10, 10 /),'lat_sic') /)
+       ctrl_out((/ 1, 6, 10, 7, 10, 10 /),'lat_lic'), &
+       ctrl_out((/ 1, 6, 10, 7, 10, 10 /),'lat_oce'), &
+       ctrl_out((/ 1, 6, 10, 7, 10, 10 /),'lat_sic') /)
 
   type(ctrl_out),save,dimension(4) :: o_flw_srf      = (/ ctrl_out((/ 1, 10, 10, 10, 10, 10 /),'flw_ter'), &
-                                                 ctrl_out((/ 1, 10, 10, 10, 10, 10 /),'flw_lic'), &
-                                                 ctrl_out((/ 1, 10, 10, 10, 10, 10 /),'flw_oce'), &
-                                                 ctrl_out((/ 1, 10, 10, 10, 10, 10 /),'flw_sic') /)
-                                                 
+       ctrl_out((/ 1, 10, 10, 10, 10, 10 /),'flw_lic'), &
+       ctrl_out((/ 1, 10, 10, 10, 10, 10 /),'flw_oce'), &
+       ctrl_out((/ 1, 10, 10, 10, 10, 10 /),'flw_sic') /)
+
   type(ctrl_out),save,dimension(4) :: o_fsw_srf      = (/ ctrl_out((/ 1, 10, 10, 10, 10, 10 /),'fsw_ter'), &
-                                                  ctrl_out((/ 1, 10, 10, 10, 10, 10 /),'fsw_lic'), &
-                                                  ctrl_out((/ 1, 10, 10, 10, 10, 10 /),'fsw_oce'), &
-                                                  ctrl_out((/ 1, 10, 10, 10, 10, 10 /),'fsw_sic') /)
+       ctrl_out((/ 1, 10, 10, 10, 10, 10 /),'fsw_lic'), &
+       ctrl_out((/ 1, 10, 10, 10, 10, 10 /),'fsw_oce'), &
+       ctrl_out((/ 1, 10, 10, 10, 10, 10 /),'fsw_sic') /)
 
   type(ctrl_out),save,dimension(4) :: o_wbils_srf    = (/ ctrl_out((/ 1, 10, 10, 10, 10, 10 /),'wbils_ter'), &
-                                                 ctrl_out((/ 1, 10, 10, 10, 10, 10 /),'wbils_lic'), &
-                                                 ctrl_out((/ 1, 10, 10, 10, 10, 10 /),'wbils_oce'), &
-                                                 ctrl_out((/ 1, 10, 10, 10, 10, 10 /),'wbils_sic') /)
+       ctrl_out((/ 1, 10, 10, 10, 10, 10 /),'wbils_lic'), &
+       ctrl_out((/ 1, 10, 10, 10, 10, 10 /),'wbils_oce'), &
+       ctrl_out((/ 1, 10, 10, 10, 10, 10 /),'wbils_sic') /)
 
   type(ctrl_out),save,dimension(4) :: o_wbilo_srf    = (/ ctrl_out((/ 1, 10, 10, 10, 10, 10 /),'wbilo_ter'), &
-                                                     ctrl_out((/ 1, 10, 10, 10, 10, 10 /),'wbilo_lic'), &
-                                                 ctrl_out((/ 1, 10, 10, 10, 10, 10 /),'wbilo_oce'), &
-                                                 ctrl_out((/ 1, 10, 10, 10, 10, 10 /),'wbilo_sic') /)
+       ctrl_out((/ 1, 10, 10, 10, 10, 10 /),'wbilo_lic'), &
+       ctrl_out((/ 1, 10, 10, 10, 10, 10 /),'wbilo_oce'), &
+       ctrl_out((/ 1, 10, 10, 10, 10, 10 /),'wbilo_sic') /)
 
 
@@ -226,5 +226,5 @@
   type(ctrl_out),save :: o_uq           = ctrl_out((/ 1, 10, 10, 10, 10, 10 /),'uq')
   type(ctrl_out),save :: o_vq           = ctrl_out((/ 1, 10, 10, 10, 10, 10 /),'vq')
- 
+
   type(ctrl_out),save :: o_cape         = ctrl_out((/ 1, 10, 10, 10, 10, 10 /),'cape')
   type(ctrl_out),save :: o_pbase        = ctrl_out((/ 1, 5, 10, 10, 10, 10 /),'pbase')
@@ -240,11 +240,11 @@
   type(ctrl_out),save :: o_s_lcl        = ctrl_out((/ 1, 10, 10, 10, 10, 10 /),'s_lcl')
   type(ctrl_out),save :: o_s_therm      = ctrl_out((/ 1, 10, 10, 10, 10, 10 /),'s_therm')
-!IM : Les champs suivants (s_capCL, s_oliqCL, s_cteiCL, s_trmb1, s_trmb2, s_trmb3) ne sont pas definis dans HBTM.F
-! type(ctrl_out),save :: o_s_capCL      = ctrl_out((/ 1, 10, 10, 10, 10, 10 /),'s_capCL')
-! type(ctrl_out),save :: o_s_oliqCL     = ctrl_out((/ 1, 10, 10, 10, 10, 10 /),'s_oliqCL')
-! type(ctrl_out),save :: o_s_cteiCL     = ctrl_out((/ 1, 10, 10, 10, 10, 10 /),'s_cteiCL')
-! type(ctrl_out),save :: o_s_trmb1      = ctrl_out((/ 1, 10, 10, 10, 10, 10 /),'s_trmb1')
-! type(ctrl_out),save :: o_s_trmb2      = ctrl_out((/ 1, 10, 10, 10, 10, 10 /),'s_trmb2')
-! type(ctrl_out),save :: o_s_trmb3      = ctrl_out((/ 1, 10, 10, 10, 10, 10 /),'s_trmb3')
+  !IM : Les champs suivants (s_capCL, s_oliqCL, s_cteiCL, s_trmb1, s_trmb2, s_trmb3) ne sont pas definis dans HBTM.F
+  ! type(ctrl_out),save :: o_s_capCL      = ctrl_out((/ 1, 10, 10, 10, 10, 10 /),'s_capCL')
+  ! type(ctrl_out),save :: o_s_oliqCL     = ctrl_out((/ 1, 10, 10, 10, 10, 10 /),'s_oliqCL')
+  ! type(ctrl_out),save :: o_s_cteiCL     = ctrl_out((/ 1, 10, 10, 10, 10, 10 /),'s_cteiCL')
+  ! type(ctrl_out),save :: o_s_trmb1      = ctrl_out((/ 1, 10, 10, 10, 10, 10 /),'s_trmb1')
+  ! type(ctrl_out),save :: o_s_trmb2      = ctrl_out((/ 1, 10, 10, 10, 10, 10 /),'s_trmb2')
+  ! type(ctrl_out),save :: o_s_trmb3      = ctrl_out((/ 1, 10, 10, 10, 10, 10 /),'s_trmb3')
 
   type(ctrl_out),save :: o_slab_bils    = ctrl_out((/ 1, 1, 10, 10, 10, 10 /),'slab_bils_oce')
@@ -261,54 +261,54 @@
 
 
-! Champs interpolles sur des niveaux de pression ??? a faire correctement
-                                              
+  ! Champs interpolles sur des niveaux de pression ??? a faire correctement
+
   type(ctrl_out),save,dimension(7) :: o_uSTDlevs     = (/ ctrl_out((/ 1, 7, 7, 10, 10, 10 /),'u850'), &
-                                                     ctrl_out((/ 1, 7, 7, 10, 10, 10 /),'u700'), &
-                                                     ctrl_out((/ 1, 7, 7, 10, 10, 10 /),'u500'), &
-                                                     ctrl_out((/ 1, 7, 7, 10, 10, 10 /),'u200'), &
-                                                     ctrl_out((/ 1, 7, 7, 10, 10, 10 /),'u100'), &
-                                                     ctrl_out((/ 1, 7, 7, 10, 10, 10 /),'u50'), &
-                                                     ctrl_out((/ 1, 7, 7, 10, 10, 10 /),'u10') /) 
-                                                     
+       ctrl_out((/ 1, 7, 7, 10, 10, 10 /),'u700'), &
+       ctrl_out((/ 1, 7, 7, 10, 10, 10 /),'u500'), &
+       ctrl_out((/ 1, 7, 7, 10, 10, 10 /),'u200'), &
+       ctrl_out((/ 1, 7, 7, 10, 10, 10 /),'u100'), &
+       ctrl_out((/ 1, 7, 7, 10, 10, 10 /),'u50'), &
+       ctrl_out((/ 1, 7, 7, 10, 10, 10 /),'u10') /) 
+
 
   type(ctrl_out),save,dimension(7) :: o_vSTDlevs     = (/ ctrl_out((/ 1, 7, 7, 10, 10, 10 /),'v850'), &
-                                                     ctrl_out((/ 1, 7, 7, 10, 10, 10 /),'v700'), &
-                                                     ctrl_out((/ 1, 7, 7, 10, 10, 10 /),'v500'), &
-                                                     ctrl_out((/ 1, 7, 7, 10, 10, 10 /),'v200'), &
-                                                     ctrl_out((/ 1, 7, 7, 10, 10, 10 /),'v100'), &
-                                                     ctrl_out((/ 1, 7, 7, 10, 10, 10 /),'v50'), &
-                                                     ctrl_out((/ 1, 7, 7, 10, 10, 10 /),'v10') /)
+       ctrl_out((/ 1, 7, 7, 10, 10, 10 /),'v700'), &
+       ctrl_out((/ 1, 7, 7, 10, 10, 10 /),'v500'), &
+       ctrl_out((/ 1, 7, 7, 10, 10, 10 /),'v200'), &
+       ctrl_out((/ 1, 7, 7, 10, 10, 10 /),'v100'), &
+       ctrl_out((/ 1, 7, 7, 10, 10, 10 /),'v50'), &
+       ctrl_out((/ 1, 7, 7, 10, 10, 10 /),'v10') /)
 
   type(ctrl_out),save,dimension(7) :: o_wSTDlevs     = (/ ctrl_out((/ 1, 7, 7, 10, 10, 10 /),'w850'), &
-                                                     ctrl_out((/ 1, 7, 7, 10, 10, 10 /),'w700'), &
-                                                     ctrl_out((/ 1, 7, 7, 10, 10, 10 /),'w500'), &
-                                                     ctrl_out((/ 1, 7, 7, 10, 10, 10 /),'w200'), &
-                                                     ctrl_out((/ 1, 7, 7, 10, 10, 10 /),'w100'), &
-                                                     ctrl_out((/ 1, 7, 7, 10, 10, 10 /),'w50'), & 
-                                                     ctrl_out((/ 1, 7, 7, 10, 10, 10 /),'w10') /)
+       ctrl_out((/ 1, 7, 7, 10, 10, 10 /),'w700'), &
+       ctrl_out((/ 1, 7, 7, 10, 10, 10 /),'w500'), &
+       ctrl_out((/ 1, 7, 7, 10, 10, 10 /),'w200'), &
+       ctrl_out((/ 1, 7, 7, 10, 10, 10 /),'w100'), &
+       ctrl_out((/ 1, 7, 7, 10, 10, 10 /),'w50'), & 
+       ctrl_out((/ 1, 7, 7, 10, 10, 10 /),'w10') /)
 
   type(ctrl_out),save,dimension(7) :: o_tSTDlevs     = (/ ctrl_out((/ 1, 7, 7, 10, 10, 10 /),'t850'), &
-                                                     ctrl_out((/ 1, 7, 7, 10, 10, 10 /),'t700'), &
-                                                     ctrl_out((/ 1, 7, 7, 10, 10, 10 /),'t500'), &
-                                                     ctrl_out((/ 1, 7, 7, 10, 10, 10 /),'t200'), &
-                                                     ctrl_out((/ 1, 7, 7, 10, 10, 10 /),'t100'), &
-                                                     ctrl_out((/ 1, 7, 7, 10, 10, 10 /),'t50'), &
-                                                     ctrl_out((/ 1, 7, 7, 10, 10, 10 /),'t10') /)
+       ctrl_out((/ 1, 7, 7, 10, 10, 10 /),'t700'), &
+       ctrl_out((/ 1, 7, 7, 10, 10, 10 /),'t500'), &
+       ctrl_out((/ 1, 7, 7, 10, 10, 10 /),'t200'), &
+       ctrl_out((/ 1, 7, 7, 10, 10, 10 /),'t100'), &
+       ctrl_out((/ 1, 7, 7, 10, 10, 10 /),'t50'), &
+       ctrl_out((/ 1, 7, 7, 10, 10, 10 /),'t10') /)
 
   type(ctrl_out),save,dimension(7) :: o_qSTDlevs     = (/ ctrl_out((/ 1, 7, 7, 10, 10, 10 /),'q850'), &
-                                                     ctrl_out((/ 1, 7, 7, 10, 10, 10 /),'q700'), &
-                                                     ctrl_out((/ 1, 7, 7, 10, 10, 10 /),'q500'), &
-                                                     ctrl_out((/ 1, 7, 7, 10, 10, 10 /),'q200'), &
-                                                     ctrl_out((/ 1, 7, 7, 10, 10, 10 /),'q100'), &
-                                                     ctrl_out((/ 1, 7, 7, 10, 10, 10 /),'q50'), & 
-                                                     ctrl_out((/ 1, 7, 7, 10, 10, 10 /),'q10') /)
+       ctrl_out((/ 1, 7, 7, 10, 10, 10 /),'q700'), &
+       ctrl_out((/ 1, 7, 7, 10, 10, 10 /),'q500'), &
+       ctrl_out((/ 1, 7, 7, 10, 10, 10 /),'q200'), &
+       ctrl_out((/ 1, 7, 7, 10, 10, 10 /),'q100'), &
+       ctrl_out((/ 1, 7, 7, 10, 10, 10 /),'q50'), & 
+       ctrl_out((/ 1, 7, 7, 10, 10, 10 /),'q10') /)
 
   type(ctrl_out),save,dimension(7) :: o_zSTDlevs   = (/ ctrl_out((/ 1, 7, 7, 10, 10, 10 /),'z850'), &
-                                                     ctrl_out((/ 1, 7, 7, 10, 10, 10 /),'z700'), &
-                                                     ctrl_out((/ 1, 7, 7, 10, 10, 10 /),'z500'), &
-                                                     ctrl_out((/ 1, 7, 7, 10, 10, 10 /),'z200'), &
-                                                     ctrl_out((/ 1, 7, 7, 10, 10, 10 /),'z100'), &
-                                                     ctrl_out((/ 1, 7, 7, 10, 10, 10 /),'z50'), & 
-                                                     ctrl_out((/ 1, 7, 7, 10, 10, 10 /),'z10') /)
+       ctrl_out((/ 1, 7, 7, 10, 10, 10 /),'z700'), &
+       ctrl_out((/ 1, 7, 7, 10, 10, 10 /),'z500'), &
+       ctrl_out((/ 1, 7, 7, 10, 10, 10 /),'z200'), &
+       ctrl_out((/ 1, 7, 7, 10, 10, 10 /),'z100'), &
+       ctrl_out((/ 1, 7, 7, 10, 10, 10 /),'z50'), & 
+       ctrl_out((/ 1, 7, 7, 10, 10, 10 /),'z10') /)
 
 
@@ -318,12 +318,12 @@
   type(ctrl_out),save :: o_dthmin       = ctrl_out((/ 10, 1, 10, 10, 10, 10 /),'dthmin')
   type(ctrl_out),save,dimension(4) :: o_u10_srf      = (/ ctrl_out((/ 10, 4, 10, 10, 10, 10 /),'u10_ter'), &
-                                                     ctrl_out((/ 10, 4, 10, 10, 10, 10 /),'u10_lic'), &
-                                                     ctrl_out((/ 10, 4, 10, 10, 10, 10 /),'u10_oce'), &
-                                                     ctrl_out((/ 10, 4, 10, 10, 10, 10 /),'u10_sic') /)
+       ctrl_out((/ 10, 4, 10, 10, 10, 10 /),'u10_lic'), &
+       ctrl_out((/ 10, 4, 10, 10, 10, 10 /),'u10_oce'), &
+       ctrl_out((/ 10, 4, 10, 10, 10, 10 /),'u10_sic') /)
 
   type(ctrl_out),save,dimension(4) :: o_v10_srf      = (/ ctrl_out((/ 10, 4, 10, 10, 10, 10 /),'v10_ter'), &
-                                                     ctrl_out((/ 10, 4, 10, 10, 10, 10 /),'v10_lic'), &
-                                                     ctrl_out((/ 10, 4, 10, 10, 10, 10 /),'v10_oce'), &
-                                                     ctrl_out((/ 10, 4, 10, 10, 10, 10 /),'v10_sic') /)
+       ctrl_out((/ 10, 4, 10, 10, 10, 10 /),'v10_lic'), &
+       ctrl_out((/ 10, 4, 10, 10, 10, 10 /),'v10_oce'), &
+       ctrl_out((/ 10, 4, 10, 10, 10, 10 /),'v10_sic') /)
 
   type(ctrl_out),save :: o_cldtau       = ctrl_out((/ 10, 5, 10, 10, 10, 10 /),'cldtau')                     
@@ -339,12 +339,12 @@
 
   type(ctrl_out),save,dimension(4) :: o_tke_srf      = (/ ctrl_out((/ 10, 4, 10, 10, 10, 10 /),'tke_ter'), &
-                                                     ctrl_out((/ 10, 4, 10, 10, 10, 10 /),'tke_lic'), &
-                                                     ctrl_out((/ 10, 4, 10, 10, 10, 10 /),'tke_oce'), &
-                                                     ctrl_out((/ 10, 4, 10, 10, 10, 10 /),'tke_sic') /)
+       ctrl_out((/ 10, 4, 10, 10, 10, 10 /),'tke_lic'), &
+       ctrl_out((/ 10, 4, 10, 10, 10, 10 /),'tke_oce'), &
+       ctrl_out((/ 10, 4, 10, 10, 10, 10 /),'tke_sic') /)
 
   type(ctrl_out),save,dimension(4) :: o_tke_max_srf  = (/ ctrl_out((/ 10, 4, 10, 10, 10, 10 /),'tke_max_ter'), &
-                                                     ctrl_out((/ 10, 4, 10, 10, 10, 10 /),'tke_max_lic'), &
-                                                     ctrl_out((/ 10, 4, 10, 10, 10, 10 /),'tke_max_oce'), &
-                                                     ctrl_out((/ 10, 4, 10, 10, 10, 10 /),'tke_max_sic') /)
+       ctrl_out((/ 10, 4, 10, 10, 10, 10 /),'tke_max_lic'), &
+       ctrl_out((/ 10, 4, 10, 10, 10, 10 /),'tke_max_oce'), &
+       ctrl_out((/ 10, 4, 10, 10, 10, 10 /),'tke_max_sic') /)
 
   type(ctrl_out),save :: o_kz           = ctrl_out((/ 4, 10, 10, 10, 10, 10 /),'kz')
@@ -370,13 +370,13 @@
 
   type(ctrl_out),save,dimension(10) :: o_tausumaero  = (/ ctrl_out((/ 2, 6, 10, 10, 10, 10 /),'OD550_ASBCM'), &
-                                                     ctrl_out((/ 2, 6, 10, 10, 10, 10 /),'OD550_ASPOMM'), &
-                                                     ctrl_out((/ 2, 6, 10, 10, 10, 10 /),'OD550_ASSO4M'), &
-                                                     ctrl_out((/ 2, 6, 10, 10, 10, 10 /),'OD550_CSSO4M'), &
-                                                     ctrl_out((/ 2, 6, 10, 10, 10, 10 /),'OD550_SSSSM'), &
-                                                     ctrl_out((/ 2, 6, 10, 10, 10, 10 /),'OD550_ASSSM'), &
-                                                     ctrl_out((/ 2, 6, 10, 10, 10, 10 /),'OD550_CSSSM'), &
-                                                     ctrl_out((/ 2, 6, 10, 10, 10, 10 /),'OD550_CIDUSTM'), &
-                                                     ctrl_out((/ 2, 6, 10, 10, 10, 10 /),'OD550_AIBCM'), &
-                                                     ctrl_out((/ 2, 6, 10, 10, 10, 10 /),'OD550_AIPOMM') /)
+       ctrl_out((/ 2, 6, 10, 10, 10, 10 /),'OD550_ASPOMM'), &
+       ctrl_out((/ 2, 6, 10, 10, 10, 10 /),'OD550_ASSO4M'), &
+       ctrl_out((/ 2, 6, 10, 10, 10, 10 /),'OD550_CSSO4M'), &
+       ctrl_out((/ 2, 6, 10, 10, 10, 10 /),'OD550_SSSSM'), &
+       ctrl_out((/ 2, 6, 10, 10, 10, 10 /),'OD550_ASSSM'), &
+       ctrl_out((/ 2, 6, 10, 10, 10, 10 /),'OD550_CSSSM'), &
+       ctrl_out((/ 2, 6, 10, 10, 10, 10 /),'OD550_CIDUSTM'), &
+       ctrl_out((/ 2, 6, 10, 10, 10, 10 /),'OD550_AIBCM'), &
+       ctrl_out((/ 2, 6, 10, 10, 10, 10 /),'OD550_AIPOMM') /)
 
   type(ctrl_out),save :: o_od550aer     = ctrl_out((/ 2, 6, 10, 10, 10, 10 /),'od550aer')
@@ -465,17 +465,17 @@
 
   type(ctrl_out),save,dimension(4) :: o_albe_srf     = (/ ctrl_out((/ 3, 7, 10, 7, 10, 10 /),'albe_ter'), &
-                                                     ctrl_out((/ 3, 7, 10, 7, 10, 10 /),'albe_lic'), &
-                                                     ctrl_out((/ 3, 7, 10, 7, 10, 10 /),'albe_oce'), &
-                                                     ctrl_out((/ 3, 7, 10, 7, 10, 10 /),'albe_sic') /) 
+       ctrl_out((/ 3, 7, 10, 7, 10, 10 /),'albe_lic'), &
+       ctrl_out((/ 3, 7, 10, 7, 10, 10 /),'albe_oce'), &
+       ctrl_out((/ 3, 7, 10, 7, 10, 10 /),'albe_sic') /) 
 
   type(ctrl_out),save,dimension(4) :: o_ages_srf     = (/ ctrl_out((/ 10, 10, 10, 10, 10, 10 /),'ages_ter'), &
-                                                     ctrl_out((/ 3, 10, 10, 10, 10, 10 /),'ages_lic'), &
-                                                     ctrl_out((/ 10, 10, 10, 10, 10, 10 /),'ages_oce'), &
-                                                     ctrl_out((/ 3, 10, 10, 10, 10, 10 /),'ages_sic') /)
+       ctrl_out((/ 3, 10, 10, 10, 10, 10 /),'ages_lic'), &
+       ctrl_out((/ 10, 10, 10, 10, 10, 10 /),'ages_oce'), &
+       ctrl_out((/ 3, 10, 10, 10, 10, 10 /),'ages_sic') /)
 
   type(ctrl_out),save,dimension(4) :: o_rugs_srf     = (/ ctrl_out((/ 3, 6, 10, 10, 10, 10 /),'rugs_ter'), &
-                                                     ctrl_out((/ 3, 6, 10, 10, 10, 10 /),'rugs_lic'), &
-                                                     ctrl_out((/ 3, 6, 10, 10, 10, 10 /),'rugs_oce'), &
-                                                     ctrl_out((/ 3, 6, 10, 10, 10, 10 /),'rugs_sic') /)
+       ctrl_out((/ 3, 6, 10, 10, 10, 10 /),'rugs_lic'), &
+       ctrl_out((/ 3, 6, 10, 10, 10, 10 /),'rugs_oce'), &
+       ctrl_out((/ 3, 6, 10, 10, 10, 10 /),'rugs_sic') /)
 
   type(ctrl_out),save :: o_alb1         = ctrl_out((/ 3, 10, 10, 10, 10, 10 /),'alb1')
@@ -602,11 +602,11 @@
 
 
-    CONTAINS
+CONTAINS
 
 !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
 !!!!!!!!! Ouverture des fichier et definition des variable de sortie !!!!!!!!
-!! histbeg, histvert et histdef
+  !! histbeg, histvert et histdef
 !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!! 
-  
+
   SUBROUTINE phys_output_open(rlon,rlat,pim,tabij,ipt,jpt,plon,plat, &
        jjmp1,nlevSTD,clevSTD,nbteta, &
@@ -617,18 +617,19 @@
        new_aod, aerosol_couple)   
 
-  USE iophy 
-  USE dimphy
-  USE infotrac
-  USE ioipsl
-  USE mod_phys_lmdz_para
-  USE aero_mod, only : naero_spc,name_aero
-
-  IMPLICIT NONE
-  include "dimensions.h"
-  include "temps.h"
-  include "indicesol.h"
-  include "clesphys.h"
-  include "thermcell.h"
-  include "comvert.h"
+    USE iophy 
+    USE dimphy
+    USE infotrac
+    USE ioipsl
+    USE mod_phys_lmdz_para
+    USE aero_mod, only : naero_spc,name_aero
+
+    IMPLICIT NONE
+    include "dimensions.h"
+    include "temps.h"
+    include "indicesol.h"
+    include "clesphys.h"
+    include "thermcell.h"
+    include "comvert.h"
+    include "iniprint.h"
 
     real,dimension(klon),intent(in) :: rlon
